#ifndef _EPG2MEI_
#define _EPG2MEI_

// A scan has completed: param1 = numChanges, param2 = (E2M_ScanInfo*) info
#define EVT_EPG     (0xef9)

// New current event (for EPG): param1 = LCN, param2 = eventID
#define EVT_CURREVT (0xefc)
// EVT_CURREVT events are only sent for channels that EPG2MEI is setup to scan
// The first EVT_CURREVT for a channel may be generated if EPG2MEI starts on
//   booting (i.e. in Auto Start), or after a channel change (if SecCache is
//   installed), or for a real transition

// New current event (for rec slot): param1 = (slot<<16)|LCN, param2 = eventID
#define EVT_RECEVT  (0xef5)
// EVT_RECEVT events are delivered for *all* recordings (regardless of channel)
//   but the LCN will be zero if EPG2MEI is not setup to scan that channel
// The first EVT_RECEVT for a specific recording will normally be for the
//   preceding programme, but could be for the target programme if it was
//   signalled early or the recording started late

typedef struct
{
  int totalEvents;      // Total number of events scanned in EPG.mei
  int numChanges;       // Number of events that are different from the last scan (in EPG_diff.mei)
  const char *changes;  // If small, this is the contents of EPG_diff.mei as a (private, non-modifiable) string (else NULL)
  int changesLen;       // The length of the changes string
  dword changesSeqNo;   // The sequence number of the EVT_EPG (in case a TAP misses some) -- starts from 0 when EPG2MEI starts
} E2M_ScanInfo;

#endif
